Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178136 - NullPointerException at org.netbeans.modules.web.jsf.JSFFrameworkProvider.getServletPath
NullPointerException at org.netbeans.modules.web.jsf.JSFFrameworkProvider.get...
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Maven
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milos Kleint
issues@javaee
EXCEPTIONS_REPORT, 68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-04 05:24 UTC by Martin Schovanek
Modified: 2010-01-20 06:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (809 bytes, text/plain)
2009-12-04 05:24 UTC, Martin Schovanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2009-12-04 05:24:55 UTC
Build: NetBeans IDE 6.8 (Build 091204-d92096f0d7d4)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-90, Java(TM) SE Runtime Environment, 1.6.0_15-b03-219
OS: Mac OS X, 10.6.2, x86_64

User Comments:
GUEST: Profiling session starting...

mschovanek: [Java EE 6 Maven Web Application, GF v3 b74a]

to reproduce:
-----------
1) invoke Run File at a Servlet



Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.web.jsf.JSFFrameworkProvider.getServletPath(JSFFrameworkProvider.java:312)
   at org.netbeans.modules.web.core.WebExecSupport.getFileAndParameters(WebExecSupport.java:102)
   at org.netbeans.modules.web.api.webmodule.RequestParametersQuery.getFileAndParameters(RequestParametersQuery.java:71)
   at org.netbeans.modules.maven.j2ee.web.WebReplaceTokenProvider.createReplacements(WebReplaceTokenProvider.java:124)
   at org.netbeans.modules.maven.ActionProviderImpl.invokeAction(ActionProviderImpl.java:200)
   at org.netbeans.modules.maven.ActionProviderImpl$1.run(ActionProviderImpl.java:178)
Comment 1 Martin Schovanek 2009-12-04 05:24:59 UTC
Created attachment 92100 [details]
stacktrace
Comment 2 Alexey Butenko 2009-12-04 06:22:03 UTC
Fixed in trunk
http://hg.netbeans.org/web-main/rev/0e5b612e6fdc
Comment 3 Alexey Butenko 2009-12-04 06:29:15 UTC
Milos, I missed that you reassign the issue to itself. 
If you think, that my fix is not enough, please reopen.
Comment 4 Quality Engineering 2009-12-05 03:53:57 UTC
Integrated into 'main-golden', will be available in build *200912050227* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0e5b612e6fdc
User: Alexey Butenko <alexeybutenko@netbeans.org>
Log: #178136: NPE Fix
Comment 5 Jaroslav Pospisil 2010-01-12 03:18:28 UTC
v.
Comment 6 pgebauer 2010-01-14 02:44:54 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/ed2acdd49897


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo